@Android

@Android

@フォロワー #1

[Android]「The Android SDK folder can no longer be inside the application folder.」について @Android

iQi @回答 • 2015-05-30 09:27 • @フォロワー #2 • 1 回答 • 220 Views

[Android]eclipseにFabricの導入について @eclipse @Fabric @Android

iQi @回答 • 2015-03-15 15:10 • @フォロワー #2 • 1 回答 • 372 Views

[Android]JavaにてMD5 値の取得方法について @java @code @Android

iQi @回答 • 2015-03-13 10:26 • @フォロワー #2 • 1 回答 • 580 Views

[JAVA]String(文字列)を大文字・小文字変換する方法について @java @Android

iQi @回答 • 2015-03-12 14:57 • @フォロワー #1 • 1 回答 • 269 Views

[Android]AndroidからHTTP-POST通信でバイト列を送信する方法について @java @code @Android

iQi @回答 • 2015-03-12 14:21 • @フォロワー #2 • 1 回答 • 1630 Views

AndroidでUUIDの生成方法について @code @Android

iQi @回答 • 2015-03-10 10:17 • @フォロワー #1 • 1 回答 • 1101 Views

[Android]Android5.0でHttpURLConnection::getInputStream()でデータ取得できません @Android

iQi @回答 • 2015-02-04 15:06 • @フォロワー #2 • 1 回答 • 605 Views

[Android]Error: WebView.destroy() called while still attached @Android

iQi @回答 • 2014-08-31 11:44 • @フォロワー #2 • 1 回答 • 512 Views

[Android error]This Android SDK requires ADT version 23.0.0 or above. @Android

iQi @回答 • 2014-08-27 16:39 • @フォロワー #2 • 1 回答 • 1141 Views

[Android]Eclipse(ADT)でのエディタの文字化けが発生していた @eclipse @Android

iQi @回答 • 2014-08-27 14:03 • @フォロワー #2 • 1 回答 • 363 Views

さらに...
1

{ 賛成 }: Lubo

①必要事項を入力しリクエスト
アプリを移行するというヘルプ記事のチェックリストに記入して、アプリの移行をリクエストします。
https://support.google.com/googleplay/android-developer/checklist/32...

すべて表示する »
①必要事項を入力しリクエスト
アプリを移行するというヘルプ記事のチェックリストに記入して、アプリの移行をリクエストします。
https://support.google.com/googleplay/android-developer/checklist/3294213

■必要事項
・名
・姓
・デベロッパー名
・移行元のアカウントのメール
・移行元のデベロッパー アカウント登録時に発行された Google ウォレットの取引 ID
・移行先のアカウントのメール
・移行先のデベロッパー アカウント登録時に発行された Google ウォレットの取引 ID
・移行するアプリの名前と APK ファイルの名前

② アプリの移行が完了後に、Googleplay事務局より完了メール
0

{ 賛成 }:

{{{
URL url = new URL("http://yoururl.com");
HttpsURLConnection conn = (HttpsURLConnection) url.openConnection();
conn.s...

すべて表示する »
{{{
URL url = new URL("http://yoururl.com");
HttpsURLConnection conn = (HttpsURLConnection) url.openConnection();
conn.setReadTimeout(10000);
conn.setConnectTimeout(15000);
conn.setRequestMethod("POST");
conn.setDoInput(true);
conn.setDoOutput(true);

List<NameValuePair> params = new ArrayList<NameValuePair>();
params.add(new BasicNameValuePair("firstParam", paramValue1));
params.add(new BasicNameValuePair("secondParam", paramValue2));
params.add(new BasicNameValuePair("thirdParam", paramValue3));

OutputStream os = conn.getOutputStream();
BufferedWriter writer = new BufferedWriter(
new OutputStreamWriter(os, "UTF-8"));
writer.write(getQuery(params));
writer.flush();
writer.close();
os.close();

conn.connect();
}}}
...
{{{
private String getQuery(List<NameValuePair> params) throws UnsupportedEncodingException
{
StringBuilder result = new StringBuilder();
boolean first = true;

for (NameValuePair pair : params)
{
if (first)
first = false;
else
result.append("&");

result.append(URLEncoder.encode(pair.getName(), "UTF-8"));
result.append("=");
result.append(URLEncoder.encode(pair.getValue(), "UTF-8"));
}

return result.toString();
}
}}}
0

{ 賛成 }:

Googleにも困ったもんですね

手動で前のバージョンを削除し、再更新が必要です。

{{{
Help --> About Eclipse SDK --> Installation Details.
Mac の場合:Eclipse -->...

すべて表示する »
Googleにも困ったもんですね

手動で前のバージョンを削除し、再更新が必要です。

{{{
Help --> About Eclipse SDK --> Installation Details.
Mac の場合:Eclipse --> Eclipseについて --> Installation Details.
}}}
この所にて、手動で前のバージョンを削除します。

{{{
Help --> Install New Software --> http://dl-ssl.google.com/android/eclipse/
}}}
ここで、最新バージョンを更新する。
0

{ 賛成 }:

Android 5.0では、available()は0になってしまうなので、InputStreamからデータを取得する際には、available()は期待しないようにする必要あります。

修正内容は↓
{{{
if(is.available()...

すべて表示する »
Android 5.0では、available()は0になってしまうなので、InputStreamからデータを取得する際には、available()は期待しないようにする必要あります。

修正内容は↓
{{{
if(is.available() >= 0){
}}}
0

{ 賛成 }:

{{{
public static String md5(String str) {
try {
// Create MD5 Hash
MessageDigest digest = java.security.M...

すべて表示する »
{{{
public static String md5(String str) {
try {
// Create MD5 Hash
MessageDigest digest = java.security.MessageDigest.getInstance("MD5");
digest.update(str.getBytes());
byte messageDigest[] = digest.digest();

// Create md5 String
StringBuffer md5String = new StringBuffer();
for (int i=0; i<messageDigest.length; i++){
String h = Integer.toHexString(0xFF & messageDigest[i]);
while (h.length() < 2){
h = "0" + h;
}
md5String.append(h);
}
System.out.println(str + ":" + md5String.toString());
return md5String.toString();

} catch (NoSuchAlgorithmException e) {
e.printStackTrace();
}

return "";
}

}}}
0

{ 賛成 }:

正しいやり方は下記となります。
{{{
webViewPlaceholder.removeView(myWebView);
myWebView.removeAllViews();
myWebView.destroy();
}}}

正しいやり方は下記となります。
{{{
webViewPlaceholder.removeView(myWebView);
myWebView.removeAllViews();
myWebView.destroy();
}}}
0

{ 賛成 }:

Fabricとは
Twitterが提供しているSDKです.

Twitterの利用や認証、広告、デバッグのサポートといった機能があります.

登録方法
利用には登録が必要です.

登録はこちらから.
https://dev.twitter.com/produc...

すべて表示する »
Fabricとは
Twitterが提供しているSDKです.

Twitterの利用や認証、広告、デバッグのサポートといった機能があります.

登録方法
利用には登録が必要です.

登録はこちらから.
https://dev.twitter.com/products/fabric

インストール(Eclipse)
Fabricのインストール方法です.

1.Eclipseを起動する.

2.Help > Install New Software をクリックする.

3.Addをクリックし、NameにFabric、Locationにhttps://fabric.io/download/eclipseを入力し、OKをクリックする.

4.Fabric for Eclipse にチェックを入れる.

5.Contact all updates sites during install to find required softwareにチェックを入れる.

6.Nextをクリックし、Finishをクリックする.

7.Eclipseを再起動するとFabricのアイコンが表示される.

ここまで来ると残りは3ステップです.

a.プロジェクトにSDKを追加する

b.アプリを起動する

c.アプリの設定をする



a.プロジェクトにSDKを追加する
Eclipseを再起動すると、自動的にFabricが起動します.

まず、認証を求められるので、登録したemailアドレスとパスワードでログインします.

その後対象のプロジェクトと利用したい機能だけを選択します.

このタイミングでビルドが行われます.プロジェクト数・端末スペックによってはそこそこ時間が掛かります.

初回、このタイミングでフリーズしてしまいましたが、再起動後は正常にビルドできました.



b.アプリを起動する
これは、a.で作成したアプリを実行するだけで大丈夫です.

詳しい条件は不明ですが、Twitter側でこれを検知するとアプリの設定ができるようになります.


c.アプリを設定する
これでfabricのサイトにアクセスし、チュートリアルを終わらせるとa-bの段階をクリアしているかチェックされます.
https://fabric.io/login?redirect_url=%2Fdownloads%2Feclipse

チェックに通るとダッシュボードが開きます.

ここからは、右のメニューから利用したい機能を選択し(Twitter連携機能・認証機能を使いたい場合はTwitterアイコンを選択)、実際のアプリに組み込んでいくことになります.
0

{ 賛成 }:

まずはじめにeclipse[ADT] -> [環境設定] を選択する。

次に ツリーから General(一般)-> Workspace (ワークスペース) を選択する。
Text file encodingという選択欄があるので Defaul...

すべて表示する »
まずはじめにeclipse[ADT] -> [環境設定] を選択する。

次に ツリーから General(一般)-> Workspace (ワークスペース) を選択する。
Text file encodingという選択欄があるので Default(SJIS)からOtherを選択して、UTF-8を選び Applyボタンを押せば見事変更されます。

** ファイルアップロード **
0

{ 賛成 }:

{{{
mv /Applications/Android Studio.app/Contents/sdk ~/
}}}
適当にUsers以下とかに移す。

Retryを押す。進む。

当然の如くSDKのパスが変わっているので、起動するとSDKはどこだ!って言わ...

すべて表示する »
{{{
mv /Applications/Android Studio.app/Contents/sdk ~/
}}}
適当にUsers以下とかに移す。

Retryを押す。進む。

当然の如くSDKのパスが変わっているので、起動するとSDKはどこだ!って言われる。


** ファイルアップロード **
0

{ 賛成 }:

Android:
{{{
UUID.randomUUID().toString()
}}}

iOS:
{{{
NSString *uuid = [[NSUUID UUID] UUIDString];
}}}

Android:
{{{
UUID.randomUUID().toString()
}}}

iOS:
{{{
NSString *uuid = [[NSUUID UUID] UUIDString];
}}}
さらに...

@概要

@関連

@フォロワー #1